#pragma once
#include "Entity.h"
//颗粒实体：气力上升线
class PeLifeRecoverLine :
    public ActionEntity
{
public:
    PeLifeRecoverLine(float dx, float dy);
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    float dx = 0;
    float dy = 0;
    float allAlpha = 0;
    float lineLength = 0;
    float lineLength_max = 0;
    std::vector<PenVertex> lineList_set;
    std::vector<PenVertex> lineList_set_last;
};

